Skip to main content
PATCH
/
organizations
/
{organizationId}
/
entitlements
/
{service}
Update service entitlement
curl --request PATCH \
  --url https://api.hixbe.com/account/organizations/{organizationId}/entitlements/{service} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tier": "FREE",
  "status": "ACTIVE"
}
'
{
  "id": "<string>",
  "service": "PAYMENT_GATEWAY",
  "tier": "FREE",
  "status": "ACTIVE",
  "usage": {
    "current": 123,
    "limit": 123
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required
service
enum<string>
required
Available options:
PAYMENT_GATEWAY,
SMS_GATEWAY,
LINK_SHORTENER,
PBX_CALL_CENTER,
HOSTING,
NATIONAL_ISP,
CERTIFICATION_BADGE

Body

application/json
tier
enum<string>

New subscription tier

Available options:
FREE,
PRO,
BUSINESS,
CUSTOM
status
enum<string>

Entitlement status

Available options:
ACTIVE,
SUSPENDED

Response

200 - application/json

Entitlement updated successfully

id
string
required

Entitlement unique identifier

service
enum<string>
required

Service this entitlement is for

Available options:
PAYMENT_GATEWAY,
SMS_GATEWAY,
LINK_SHORTENER,
PBX_CALL_CENTER,
HOSTING,
NATIONAL_ISP,
CERTIFICATION_BADGE
tier
enum<string>
required

Subscription tier

Available options:
FREE,
PRO,
BUSINESS,
CUSTOM
status
enum<string>
required

Entitlement status

Available options:
ACTIVE,
SUSPENDED,
CANCELLED,
EXPIRED
usage
object

Usage tracking information

createdAt
string<date-time>

Entitlement creation timestamp

updatedAt
string<date-time>

Entitlement last update timestamp